org.red5.server.stream

## Interface ITokenBucket.ITokenBucketCallback

Enclosing interface:
  ITokenBucket

    public static interface ITokenBucket.ITokenBucketCallback

Callback for tocket bucket

### Method Summary

Methods
`void` `available(ITokenBucket bucket, long tokenCount)` Being called when the tokens requested are available.
`void` `reset(ITokenBucket bucket, long tokenCount)` Resets tokens in bucket

### Method Detail

#### available

    void available(ITokenBucket bucket,
                 long tokenCount)

Being called when the tokens requested are available.

Parameters:
  `bucket` - Bucket
  `tokenCount` - Number of tokens

#### reset

    void reset(ITokenBucket bucket,
             long tokenCount)

Resets tokens in bucket

Parameters:
  `bucket` - Bucket
  `tokenCount` - Number of tokens